Subject: Re: In booting-without-of.txt, clarify that properties must precede subnodes

From: Segher Boessenkool <[email-masked]>
Date: Thu, 28 Jun 2007 11:24:55 +0200

> A strict reading of the flattened device tree format defined in
> booting-without-of.txt does in fact require that all the tags defining
> properties for a node go before any definitions of subnodes, however
> it's not particularly emphasised.  Although allowing intermingled
> properties and subnodes would not be ambiguous in meaning, the kernel
> parser does currently require that properties precede subnodes.
> Furthermore, keeping this constraint makes life easier for various
> device tree scanning tools.
>
> Therefore, re-emphasise in booting-without-of.txt that this is a
> strict requirement of the flattened device tree format.

Do you want to require this for device tree source files,
too?  I think that's how the tools work right now but that's
not made explicit anywhere afaik.

Segher